package main

import (
	"fmt"
	"time"
	"example.com/genji"
)

func LEDTest(dNr int16) bool{

	fmt.Println("\n***** LED Test *****")

	fmt.Println("LED Off")
	genji.Dongle_SetLED( 0, dNr)
  	time.Sleep(2 * time.Second)

	fmt.Println("LED Blink")
	genji.Dongle_SetLED( 3, dNr)
	time.Sleep(2 * time.Second)

	fmt.Println("LED Off")
	genji.Dongle_SetLED( 0, dNr)
  	time.Sleep(2 * time.Second)

	fmt.Println("LED On")
	genji.Dongle_SetLED( -1, dNr)

	time.Sleep(2 * time.Second)

	return true;
}
